Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 548 - ghostscript dies before printing
Summary: ghostscript dies before printing
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ghostscript
Version: 5.2
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-21 02:52 UTC by jgaither
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-29 16:19:43 UTC


Attachments (Terms of Use)

Description jgaither 1998-12-21 02:52:08 UTC
I get this message when I have -dBitsPerPixel on the command
line

Unexpected interpreter error -15.
Error object: .putdeviceprops

example call:
cat /usr/lib/rhs/rhs-printfilters/testpage.ps | gs
-sDEVICE=cdj500 -sPAPERSIZE=letter -r300x300 -dNOPAUSE
-dSAFER -dBitsPerPixel=1 -sOutp
utFile=- - > testfile

Comment 1 Bill Nottingham 1998-12-21 15:36:59 UTC
You're using one of the HP Deskjet drivers, and you're
setting bpp=1, correct?  The driver is broken in this respect.

Try bpp=8 (that's still monochrome), or using a different
driver if that's the case.

Comment 2 Bill Nottingham 1998-12-29 16:19:59 UTC
rhs-printfilters 1.46-4 no longer allows 1bpp for cdj-based drivers.
This should fix the problem.


Note You need to log in before you can comment on or make changes to this bug.